Page MenuHomePhabricator

[mlir][NFC] Remove unnecessary PatternRewriter::create methods
ClosedPublic

Authored by rriddle on Oct 23 2020, 4:52 PM.

Details

Summary

At this point, these methods are just carbon copies of OpBuilder::create and aren't necessary given that PatternRewriter inherits from OpBuilder.

Depends On D90086

Diff Detail

Event Timeline

rriddle created this revision.Oct 23 2020, 4:52 PM
rriddle requested review of this revision.Oct 23 2020, 4:52 PM
mehdi_amini accepted this revision.Oct 26 2020, 3:54 PM
This revision is now accepted and ready to land.Oct 26 2020, 3:54 PM
jpienaar accepted this revision.Oct 26 2020, 4:01 PM
This revision was landed with ongoing or failed builds.Oct 27 2020, 4:21 PM
This revision was automatically updated to reflect the committed changes.